Bug 1366300 - network team device configuration in kickstart pre section not working
Summary: network team device configuration in kickstart pre section not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1254929
TreeView+ depends on / blocked
 
Reported: 2016-08-11 14:39 UTC by Radek Vykydal
Modified: 2016-11-03 19:28 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1254929
Environment:
Last Closed: 2016-11-03 19:28:11 UTC


Attachments (Terms of Use)
[patch] handle empty team config as valid (3.88 KB, patch)
2016-08-24 07:46 UTC, Thomas Haller
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Comment 1 Radek Vykydal 2016-08-11 14:43:54 UTC
(In reply to Radek Vykydal from comment #0)
 
> --- Additional comment from Radek Vykydal on 2016-07-29 05:46:24 EDT ---
> 
> Seems that NetworkManager started to require non-empty team port
> configration when creating team slave configuration (compared to 7.2 where
> empty port configuration would be accepted).
> 
> We can fix it by this patch:
> 
> https://github.com/rhinstaller/anaconda/pull/717
> 
> I'd just like to confirm from NM whether the change is really intentional?
> 
> --- Additional comment from Radek Vykydal on 2016-07-29 05:50:22 EDT ---
> 
> Updates image with the patch for anaconda-21.48.22.80-1.el7.x86_64:
> https://rvykydal.fedorapeople.org/updates.teamreg73.img
> 
> Updates image with the patch for the latest
> anaconda-21.48.22.81-1.el7.x86_64:
> https://rvykydal.fedorapeople.org/updates.teamreg73.81.img
> 
> --- Additional comment from Lubomir Rintel on 2016-08-01 11:41:01 EDT ---
> 
> I think we want to preserve the ability to specify empty configuration.

So cloning for NM.

Comment 4 Thomas Haller 2016-08-23 21:45:37 UTC
previously we did not verify the json value at all, now we do.

It is clear that tightening up the verification, leads to rejecting values that were considered valid before.
One question is whether that is acceptable in general, and whether there are certain values (like "") for which this change is inacceptable.

Yeah, maybe "" should be treated like "{}" to be more graceful here.

Comment 5 Thomas Haller 2016-08-24 07:46:16 UTC
Created attachment 1193512 [details]
[patch] handle empty team config as valid

was originally posted by lrintel for bug 1366300

Comment 6 Radek Vykydal 2016-08-24 07:50:47 UTC
Just a note: regarding the "" value we (anaconda) are okay with either way you choose. A fix on our side is easy.

Comment 8 Thomas Haller 2016-08-24 09:02:47 UTC
(In reply to Radek Vykydal from comment #6)
> Just a note: regarding the "" value we (anaconda) are okay with either way
> you choose. A fix on our side is easy.

yeah, but it cause connections from older versions to be rejected as invalid after upgrade. Also, breaking older clients should be avoided as well.

Comment 10 Vladimir Benes 2016-09-06 13:20:09 UTC
nmcli connection add type team con-name team0 ifname nm-team autoconnect no team.config "" is now accepted

Comment 12 errata-xmlrpc 2016-11-03 19:28:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.